### Method

# GtkSource LanguageManager get_language_ids

#### Declaration [src]

    const gchar* const*
    gtk_source_language_manager_get_language_ids (
      GtkSourceLanguageManager* lm
    )

#### Description [src]

Returns the ids of the available languages.

Gets property | `GtkSource.LanguageManager:language-ids`

#### Return value

Type: An array of `utf8`

a `NULL`-terminated array of strings containing the ids of the available languages or `NULL` if no language is available. The array is sorted alphabetically according to the language name. The array is owned by `lm` and must not be modified.

The array is `NULL`-terminated.
The returned data is owned by the instance.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.